Subject: spi on mpc82xx

From: Thomas Arvanitis <[email-masked]>
Date: Tue, 29 Nov 2005 13:14:42 +0200

Hi,

I was wondering what is the status for supporting spi devices with 2.6
on an mpc82xx device (I use an mpc8275). I checked and the kernel from
kernel.org does not include anything. Is there an spi bus
infrastructure (like i2c) coming any time soon, where one can add
support for specific chips, and then write a driver on top of that?
Or a plan for these things?

I found a patch for something like that, by Grant Likely, but I don't
know whether I should go that way.

I want to write a driver for controlling the micrel ks8995 ethernet
switch through spi. Should I just go for a self contained driver?

Thanks for you help,
-Thomas.